Bug 866106 - custom partitioning for EFI omits EFI tags on GPT disk
custom partitioning for EFI omits EFI tags on GPT disk
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-13 21:59 EDT by John Reiser
Modified: 2012-11-22 23:54 EST (History)
4 users (show)

See Also:
Fixed In Version: anaconda-18.22-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 23:54:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/anaconda.log after reboot (18.16 KB, text/plain)
2012-10-13 22:04 EDT, John Reiser
no flags Details
/va/log/anaconda.storage.log after reboot (166.42 KB, text/plain)
2012-10-13 22:05 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2012-10-13 21:59:59 EDT
Description of problem: Custom paritioning of /boot/efi for EFI mode forgets to name the partition "EFI System Partition" and also forgets to set the 'boot' flag for the partition.  Some BIOS accept this anyway, but anaconda isn't happy trying to re-use /boot/efi (for the next install) without the EFI markings.


Version-Release number of selected component (if applicable):
anaconda-18.16

How reproducible: always


Steps to Reproduce:
1. Boot installer in UEFI mode, choose custom partitioning.
2. Create partition for mount point /boot/efi, 50MB, EFI System Partition
3. Create partitions for /boot, /, and swap.
4. Finish
  
Actual results: 
# parted /dev/sda
(parted) print
Number  Start   End     Size    File system     Name                  Flags
 1      1049kB  53.5MB  52.4MB  fat16
 2      53.5MB  603MB   549MB   ext4
 3      603MB   17.5GB  16.9GB  ext4
 4      17.5GB  22.0GB  4503MB  linux-swap(v1)


Expected results:
Number  Start   End     Size    File system     Name                  Flags
 1      1049kB  53.5MB  52.4MB  fat16           EFI System Partition  boot
 2      53.5MB  603MB   549MB   ext4
 3      603MB   17.5GB  16.9GB  ext4
 4      17.5GB  22.0GB  4503MB  linux-swap(v1)


Additional info: The UEFI BIOS on my ASUS mainboard does recognize and boot in UEFI mode the configuration which lacks the designated name and flag.  But the next anaconda install on the same drive, where the user attempts to re-use /boot/efi, draws a complaint "you have not created a target for stage1 bootloader."
Comment 1 John Reiser 2012-10-13 22:04:53 EDT
Created attachment 626729 [details]
/var/log/anaconda.log after reboot
Comment 2 John Reiser 2012-10-13 22:05:24 EDT
Created attachment 626730 [details]
/va/log/anaconda.storage.log after reboot
Comment 3 Fedora Update System 2012-10-31 22:53:09 EDT
anaconda-18.22-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.22-1.fc18
Comment 4 Fedora Update System 2012-11-01 14:29:16 EDT
Package anaconda-18.22-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.22-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17432/anaconda-18.22-1.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-11-02 00:07:24 EDT
anaconda-18.23-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.23-1.fc18
Comment 6 Fedora Update System 2012-11-02 21:07:04 EDT
anaconda-18.24-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.24-1.fc18
Comment 7 Fedora Update System 2012-11-05 20:42:07 EST
anaconda-18.25-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.25-1.fc18
Comment 8 Fedora Update System 2012-11-06 21:14:17 EST
anaconda-18.26-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.26-1.fc18
Comment 9 Adam Williamson 2012-11-22 23:54:41 EST
This bug looks to have been fixed for many anaconda builds now but missed being closed. If you find you are still experiencing it with Fedora 18 Beta (RC1) or later, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.